Subject: [ippm] 回复：Re: 回复：Re: update "draft-he-ippm-integrating-am-into-ioam"

From: "Xiaoming He" <[email-masked]>
Date: Wed, 10 Jan 2024 22:54:17 +0800

Hi, Xiao Min,Thank you very much for reminding me to think over this question.

As you said, it is possile to extend the IOAM Trace Option for &nbsp;incorporating the Alternate-Marking method. The benefits obtained from this are that, while conducting performance measurements, we can still collect telemetry data of user traffic along the path nodes.

We will consider to add the extended IOAM Trace Option in this updated draft.

Best Regards,
Xiaoming He
China telecom

原始邮件

发件人："xiao.min2"< [email-masked] &gt;;

发件时间：2024/1/10 15:31

收件人："xiaoming-he"< [email-masked] &gt;;

抄送人："ippm"< [email-masked] &gt;;

主题：Re: 回复：Re: [ippm] update "draft-he-ippm-integrating-am-into-ioam"

Hi Xiaoming,

Thank you for the detailed explanation.

I understand the logic you choose to extend IOAM DEX Option, nevertheless what's not clear to me is that how difficult while extending IOAM Trace Option.

As said before, I see the application scenario&nbsp;to combine IOAM Tracing with Alternate Marking, in which the IOAM transit node might need to do both packet stamping (so-called passport mode) and direct export (so-called postcard mode). At present I don't see a reason why the IOAM transit node can't do that, so I raise this option for you to consider.

Cheers,

Xiao Min
Original
From:&nbsp;XiaomingHe <[email-masked]&gt;
To:&nbsp;肖敏10093570;
Cc:&nbsp;ippm <[email-masked]&gt;;
Date:&nbsp;2024年01月09日 22:13
Subject:&nbsp;回复：Re: [ippm] update "draft-he-ippm-integrating-am-into-ioam"

Hi, Xiao Min,
Thank you for the question and concern.

Regarding the IOAM Trace Option, a passport-based IOAM, I think it is difficult for its extension supporting Alternate Marking method.

Because in IOAM Trace Option mode, the IOAM data is pushed into data packets by every transit node until the IOAM decapsulating node &nbsp;(destination node) removes IOAM-Option-Type from packets and send the IOAM data to a receiving entity for analysis.

The Alternate Marking method demands that the network support Hop-by-Hop option or End-to-End option. In &nbsp;Hop-by-Hop mode, &nbsp;packet&nbsp;drop and packet drop location can be monitored accurately (which hop the loss occurs) , and End-to-End mode can only monitor packet loss (from source to destination).

So, the IOAM DEX Option, also called the postcard mode, is quite suitable for incorporating the Alternate Marking method.

Best Regards,

Xiaoming

原始邮件

发件人："xiao.min2"< [email-masked] &gt;;

发件时间：2024/1/9 16:49

收件人："xiaoming-he"< [email-masked] &gt;;

抄送人："ippm"< [email-masked] &gt;;

主题：Re: [ippm] update "draft-he-ippm-integrating-am-into-ioam"

Hi Xiaoming He, authors,

Thank you for the interesting draft.

While reading this draft, a question raised in my mind, is it possible to extend IOAM Trace Option except for IOAM DEX Option?

AFAIK, IOAM Trace Option and IOAM DEX Option have different application scenarios, so it seems to me it's helpful to combine IOAM Tracing with Alternate Marking when IOAM Trace Option is preferred.

Best Regards,

Xiao Min

From:&nbsp;XiaomingHe <[email-masked]&gt;
To:&nbsp;IPPM WG <[email-masked]&gt;;
Date:&nbsp;2024年01月08日 17:41
Subject:&nbsp;[ippm] update "draft-he-ippm-integrating-am-into-ioam"

_______________________________________________
ippm&nbsp;mailing&nbsp;list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

Hi, IPPM,

A new version of Internet-Draft draft-he-ippm-integrating-am-into-ioam-01.txt
has been successfully submitted by Xiaoming He and posted to the
IETF repository.

Name:&nbsp;&nbsp;&nbsp;&nbsp; draft-he-ippm-integrating-am-into-ioam
Revision: 01
Title:&nbsp;&nbsp;&nbsp; Integrating the Alternate-Marking Method into In Situ Operations, Administration, and Maintenance (IOAM)
Date:&nbsp;&nbsp;&nbsp;&nbsp; 2024-01-08
Group:&nbsp;&nbsp;&nbsp; Individual Submission
Pages:&nbsp;&nbsp;&nbsp; 13
URL:&nbsp;https://www.ietf.org/archive/id/draft-he-ippm-integrating-am-into-ioam-01.txt
Status:&nbsp;https://datatracker.ietf.org/doc/draft-he-ippm-integrating-am-into-ioam/
HTMLized:&nbsp;https://datatracker.ietf.org/doc/html/draft-he-ippm-integrating-am-into-ioam
Diff:&nbsp;https://author-tools.ietf.org/iddiff?url2=draft-he-ippm-integrating-am-into-ioam-01

Abstract:

&nbsp;&nbsp; In situ Operations, Administration, and Maintenance (IOAM) is used
&nbsp;&nbsp; for recording and collecting operational and telemetry information.
&nbsp;&nbsp; Specifically, passport-based IOAM allows telemetry data generated by
&nbsp;&nbsp; each node along the path to be pushed into data packets when they
&nbsp;&nbsp; traverse the network, while postcard-based IOAM allows IOAM data
&nbsp;&nbsp; generated by each node to be directly exported without being pushed
&nbsp;&nbsp; into in-flight data packets.&nbsp; This document extends IOAM Direct
&nbsp;&nbsp; Export (DEX) Option-Type to integrate the Alternate-Marking Method
&nbsp;&nbsp; into IOAM.

Any comments and questions are welcomed.

Best and Regards,
Xiaoming He
China telecom